<?php

    use App\Models\Test\TestAnswer;
    use Illuminate\Database\Seeder;
    use App\Models\Test\Test;

    class TestTableSeeder extends Seeder
    {
        /**
         * Run the database seeds.
         *
         * @return void
         */
        public function run()
        {

            DB::statement('SET FOREIGN_KEY_CHECKS=0;');
            TestAnswer::truncate();
            Test::truncate();
            DB::statement('SET FOREIGN_KEY_CHECKS=1;');

            $tests = [
                '1' => ['Мне нравится иметь дело с' =>
                            [
                                'а' => 'числами, формулами, вычислениями',
                                'б' => 'формой, цветом, изображениями',
                                'в' => 'людьми, мероприятиями, общением',
                            ],
                ],

                '2'    =>
                    [
                        'Меня привлекает работа' => [
                            'a' => 'монотонная, с повторяющимися движениями/действиями, требующая усидчивости и внимательности',
                            'б' => 'масштабная, с большой долей ответственности и просчетов',
                            'в' => 'простая, легко выполнимая, дающая быстрый результат',
                        ],
                    ],
                '3'    => [
                    'Я могу долго и с удовольствием' => [
                        'а' => 'слушать своего собеседника',
                        'б' => 'разгадывать головоломки',
                        'в' => 'декорировать вещи',
                    ],
                ],
                '4'    => [
                    'Я хотел (а) бы создавать' => [
                        'а' => 'сайты, ПО, приложения',
                        'б' => 'баннеры, логотипы, картинки',
                        'в' => 'мероприятия, задачи, атмосферу',
                    ],
                ],
                '5'    => [
                    'При просмотре фильма я, чаще всего, обращаю внимание на' => [
                        'а' => 'костюмы, интерьер, внешний вид актера',
                        'б' => 'мысли, действия, стратегии героя',
                        'в' => 'атмосферу, чувства, слова, присутствующие в кадре',
                    ],
                ],
                '6'    => [
                    'В сфере IT я бы предпочёл заниматься' => [
                        'а' => '«невидимой» частью продукта',
                        'б' => 'быть «проводником» информации к пользователю',
                        'в' => 'внешним видом товара',
                    ],
                ],
                '7'    => [
                    'Окружающие видят во мне талантливого' => [
                        'а' => 'математика, логиста, аналитика',
                        'б' => 'художника, артиста, мастера рукоделия',
                        'в' => 'психолога, маркетолога, организатора',
                    ],
                ],
                '8'    => [
                    'Когда начинается утро, я лучше займусь ...' => [
                        'а' => 'подбором одежды по настроению',
                        'б' => 'тщательно спланирую свой день',
                        'в' => 'назначу встречу в кафе',
                    ],
                ],
                '9'    => [
                    'При выборе направления в сфере IT, я больше склоняюсь к' => [
                        'а' => 'выполнению сложных стратегических задач',
                        'б' => 'легкому старту и начальному знакомству с программированием',
                        'в' => 'творческой, эмоциональной работе в коллективе',
                    ],
                ],
                '10.1' => [
                    'Ваш пол' => [
                        'а' => 'М',
                        'б' => 'Ж',
                    ],
                ],
                '10.2' => [
                    'Мне ближе по душе' => [
                        'а' => 'создавать праздник, атмосферу и уют',
                        'б' => 'быть руководителем, контролировать, договариваться',
                    ],
                ],
                '10.3' => [
                    'Мне легче' => [
                        'а' => 'выслушать человека, дать ему поддержку, ободрить',
                        'б' => 'создать задачи, контролировать сроки',
                    ],
                ],
                '10.4' => [
                    'Мне нравится' => [
                        'а' => 'изучать людей, проводить собеседования, организовывать тимбилдинги',
                        'б' => 'взаимодействовать с заказчиками, разработчиками и HR-отделом',
                    ],
                ],
                '11'   => [
                    'Я хотел (а) бы заниматься' => [
                        'а' => 'работой с сайтом',
                        'б' => 'написанием маленьких приложений',
                        'в' => 'тестировать готовые продукты',
                    ],
                ],
                '12'   => [
                    'Мне близка сфера деятельности' => [
                        'а' => 'узкая, с одним направлением',
                        'б' => 'широкая, с системным (комплексным) подходом',
                        'в' => 'средняя, с возможностью изучить основные направления (универсальная)',
                    ],
                ],
                '13'   => [
                    'Проще всего мне' => [
                        'а' => 'писать отчеты, выявлять ошибки, работать с качеством готового продукта',
                        'б' => 'вести просчеты, создавать структуру от «а» до «я»,  масштабировать идею',
                        'в' => 'строить «мостик» между пользователем и серверной частью',
                    ],
                ],
                '14'   => [
                    'Мне было бы интересно' => [
                        'а' => 'научиться писать маленькие и средние сайты на самом популярном языке программирования',
                        'б' => 'писать средние, крупные программы под Windows',
                        'в' => 'выполнять сложные стратегические задачи для крупных заказчиков, выполняя работу с большой долей ответственности и внимательности',
                    ],
                ],
            ];

            $testPosition   = -1;
            $answerPosition = -1;
            foreach ($tests as $keyTest => $testData) {
                foreach ($testData as $testQuestion => $answerData) {
                    $test = Test::create([
                        'key'      => $keyTest,
                        'question' => $testQuestion,
                        'position' => ++$testPosition,
                    ]);
                    foreach ($answerData as $answerKey => $answerAnswer) {
                        $test->answers()->create([
                            'key'      => $answerKey,
                            'answer'   => $answerAnswer,
                            'position' => ++$answerPosition,
                        ]);
                    }
                }
            }
        }
    }
